# Django Hierarchical Models Documentation

This directory contains comprehensive documentation for the Django Hierarchical Models package.

## Table of Contents

1. [Getting Started](getting-started.md) - Installation and basic setup
2. [Core Concepts](core-concepts.md) - Understanding hierarchical inheritance
3. [Basic Usage](basic-usage.md) - Simple examples of hierarchical models
4. [Many-to-Many Fields](many-to-many-fields.md) - How to work with M2M fields in hierarchical models
5. [Many-to-Many with Through Models](many-to-many-through.md) - Using custom through models with M2M fields
6. [Forms Integration](forms-integration.md) - Building forms for hierarchical models
7. [Admin Integration](admin-integration.md) - Configuring the Django admin for hierarchical models
8. [Troubleshooting](troubleshooting.md) - Common issues and solutions
9. [API Reference](api-reference.md) - Detailed reference of all classes and methods

## Guides by Use Case

- [Simple Hierarchical Configuration](use-cases/simple-config.md)
- [Multi-tenant Configurations](use-cases/multi-tenant.md)
- [Permission Inheritance Systems](use-cases/permissions.md)
- [Feature Flag Systems](use-cases/feature-flags.md)
- [Hierarchical Settings](use-cases/settings.md)